Package org.bukkit.event.player

# Class PlayerShearEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerShearEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerShearEntityEvent extends PlayerEvent implements Cancellable
Called when a player shears an entity

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerShearEntityEvent(@NotNull Player who, @NotNull Entity what)`
Deprecated.
`PlayerShearEntityEvent(@NotNull Player who, @NotNull Entity what, @NotNull ItemStack item, @NotNull EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the entity the player is shearing
`@NotNull EquipmentSlot`
`getHand()`
Gets the hand used to shear the entity.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item used to shear the entity.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerShearEntityEvent

public PlayerShearEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity what, @NotNull @NotNull ItemStack item, @NotNull @NotNull EquipmentSlot hand)

### PlayerShearEntityEvent

@Deprecated public PlayerShearEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity what)
Deprecated.

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Entity getEntity()
Gets the entity the player is shearing

Returns:
  the entity the player is shearing

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item used to shear the entity.

Returns:
  the shears

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
Gets the hand used to shear the entity.

Returns:
  the hand

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()